/****************************************************************************
*                   mblur2.h
*
*  This module contains all defines, typedefs, and prototypes for mblur2.c.
*
*  Written By Nathan Kopp - December, 1999
*
*  from Persistence of Vision(tm) Ray Tracer
*  Copyright 1996,1999 Persistence of Vision Team
*---------------------------------------------------------------------------
*  NOTICE: This source code file is provided so that users may experiment
*  with enhancements to POV-Ray and to port the software to platforms other
*  than those supported by the POV-Ray Team.  There are strict rules under
*  which you are permitted to use this file.  The rules are in the file
*  named POVLEGAL.DOC which should be distributed with this file.
*  If POVLEGAL.DOC is not available or for more info please contact the POV-Ray
*  Team Coordinator by email to team-coord@povray.org or visit us on the web at
*  http://www.povray.org. The latest version of POV-Ray may be found at this site.
*
* This program is based on the popular DKB raytracer version 2.12.
* DKBTrace was originally written by David K. Buck.
* DKBTrace Ver 2.0-2.12 were written by David K. Buck & Aaron A. Collins.
*
*****************************************************************************/


#ifndef MBLUR2_H
#define MBLUR2_H



/*****************************************************************************
* Global preprocessor defines
******************************************************************************/

typedef struct motion_blur2_Struct MOTION_BLUR2;

struct motion_blur2_Struct
{
  COMPOUND_FIELDS
  TRANSFORM Trans1;
  TRANSFORM Trans2;
  TRANSFORM LastTrans;
  int LastTimeStamp;
};



/*****************************************************************************
* Global variables
******************************************************************************/

extern METHODS Motion_Blur2_Methods;


/*****************************************************************************
* Global functions
******************************************************************************/

MOTION_BLUR2 *Create_Motion_Blur2 (void);
void Compute_Motion_Blur2_BBox (OBJECT *Object);



#endif
